<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script type="text/javascript">

    function loadCityZones( value ){
//		document.getElementById("mContainer").innerHTML = "<div id=\"myDiv\">dhdfghdfg</div>";

        xmlhttp = new XMLHttpRequest();

        xmlhttp.open( 'GET', 'index/get-cityzones?city='+value );
        xmlhttp.send();

        xmlhttp.onreadystatechange = function ()
        {


            if ( xmlhttp.readyState == 4 && xmlhttp.status == 200 )
            {
                if ( xmlhttp.responseXML )
                {
                    xmlresponse = xmlhttp.responseXML;
                }
                else if ( xmlhttp.responseText )
                {
                    xmlresponse = xmlhttp.responseText;
                }
                document.getElementById("zone-container").innerHTML = xmlresponse;

            }
        }
    }
</script>

<div id="mContainer">
    <div class="overlay"></div>
<form action="" method="get" id="searchForm">
    <div>
        <table class="info noborder padding6 marginbottom10">
            <tr>
                <td class="head w41">
                    <span><?= __('search') ?></span>
                </td>
                <td class="head w41 head_advanced">
                    <span class="advanced_menu"><?= __('advanced_search')?></span>
                    <ul class="advanced_search_menu">
                        <li><a href="#"><?= strtoupper(__('basic'))?></a></li>
                        <li><a href="#"><?= strtoupper(__('advanced_bio'))?></></li>
                        <li><a href="#"><?= strtoupper(__('services'))?></></li>
                        <li><a href="#"><?= strtoupper(__('availability'))?></></li>
                    </ul>
                </td>
            </tr>
            <tr>
                <td>
                    <div><label for="showname"><?= __('m_girl_club') ?>:</label></>
                </td>
                <td>
                    <input class="w100" type="text" name="showname" id="showname" />
                </td>
            </tr>
            <tr>
                <td>
                    <div><label for="gender"><?= __('gender') ?>:</label></div>
                </td>
                <td>
                    <? foreach ($this->defines['gender_options'] as $id => $title): ?>
                        <input type="radio" name="gender"  value="<?= $title ?>" <?= ($this->params['gender'] == $id || $id == 1) ? 'checked' : '' ?> /> <?= $title ?>
                    <? endforeach; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <div><label for="zone"><?= __('region') ?>:</label></>
                </td>
                <td id="zone-container">
                    <select name="zone" class="w150" id="zone">
                        <option value=""><?= strtolower(__('all_regions'))?></option>
                        <? foreach ($this->regions as $region): ?>
                            <option value="<?= $region->slug ?>"><?= $region->title ?></option>
                        <? endforeach; ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td>
                   <div> <label for="city"><?= __('city') ?>	:</label></>
                </td>
                <td>
                    <select name="city" id="city" onchange="loadCityZones(this.value)" class="w150">
                        <option value=""><?= strtolower(__('city')) ?></option>
                        <? foreach ($this->cities as $city): ?>
                            <option value="<?= $city->city_slug ?>"><?= $city->city_title ?></option>
                        <? endforeach; ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td>
                    <div><label for="online"><?= __('online_now') ?>:</label></>
                </td>
                <td>
                    <input type="checkbox" /> <?= __('yes')?>
                </td>
            </tr>
            <!-- covid-19 -->
            <!-- <tr>
                <td>
                    <div><label><?= __('m_visits_outcalls')?></label></>
                </td>
                <td>
                    <input type="checkbox" /> <?= __('yes')?>
                </td>
            </tr> -->
            <tr>
                <td>
                    <div><label class="w100"><?= __('services') ?>:</label></>
                </td>
                <td>
                    <? foreach ($this->defines['services']['common'] as $id => $title): ?>
                        <label><input type="checkbox" style="vertical-align:  baseline;"  name="services[]"  <?= ($id == $this->params['ethnicity']) ? ' checked="checked"' : '' ?> value="<?= $id ?>" /><span style="vertical-align:  bottom;" ><?= $title ?></label><br/>
                    <? endforeach; ?>
                    <div class="clear"></div>
                    </div>
                </td>
            </tr>
            <tr>
                <td>
                   <div> <label class="w100"><?= __('price') ?>:</label></>
                </td>
                <td>
                    <label for="from">From: <input class="price" type="text" /></label><label for="to">To: <input class="price" type="text"></label>
                </td>
            </tr>
            <tr>
                <td>
                    <div><label class="w100"><?= __('your_text') ?>:</label></>
                </td>
                <td>
                    <input class="your_text" type="text" />

            </tr>
    <tr>
                <td><div><label for="order"><?= __('m_search_select_order'); ?>	:</label></div> </td>
                <td>
                    <select class="w150" name="order" id="order">
                        <option value="1"><?= __('random'); ?></option>
                        <option value="2"><?= __('alphabetically'); ?></option>
                        <option value="3"><?= __('most_viewed'); ?></option>
                        <option value="4"><?= __('newest_first'); ?></option>
                        <option value="5"><?= __('last_modified'); ?></option>
                        <option value="6"><?= __('price_ascending'); ?></option>
                        <option value="7"><?= __('price_descending'); ?></option>
                    </select>
                </td>
            </tr>
        </table>
        <div><label for="filter">Filter</label></div>
        <input class="btn-submit" type="submit" name="search" value="<?= __('search') ?>" />
</form>
</div>



<script type="text/javascript">
    $('.advanced_menu').on('click',function(){
        if($('.advanced_search_menu').css('display') === 'block'){
            $('.advanced_search_menu').css('display','none');
            $('.overlay').css('display','none');
        }else{
            $('.advanced_search_menu').css('display','block');
            $('.overlay').css('display','block');
        }
    });

    $('.overlay').on('click',function() {
        if($('.advanced_search_menu').css('display') === 'block'){
            $('.advanced_search_menu').css('display','none');
            $('.overlay').css('display','none');
        }else{
            $('.advanced_search_menu').css('display','block');
            $('.overlay').css('display','block');
        }
    });
</script>